Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## SEdit.Graphics
Class GInternalFrame

    java.lang.Object
      SEdit.Graphics.GObject
          SEdit.Graphics.GNode
              SEdit.Graphics.GJavaComponent
                  SEdit.Graphics.GInternalFrame

Direct Known Subclasses:
  GAgent

    public class GInternalFrame

extends GJavaComponent

Field Summary

Fields inherited from class SEdit.Graphics.GJavaComponent
`DEFAULT_HEIGHT, DEFAULT_WIDTH, javaComponentClass`

Fields inherited from class SEdit.Graphics.GNode
`HANDLE_SIZE, resizable, selectedHandle`

Fields inherited from class SEdit.Graphics.GObject
`BOTTOM, bounds, CENTER, displayLabel, element, height, labelLocation, LEFT, RIGHT, selected, TOP, TOP_RIGHT, width, x, y`

Constructor Summary
`GInternalFrame()`
`GInternalFrame(java.lang.String title)`

Method Summary
`void` | `delete()`
`void` | `doDrag(int dx, int dy)`
`void` | `init()` Creates the JavaComponent from the JavaComponentClass
`void` | `paint(java.awt.Graphics g)`
`void` | `select(boolean state)`

Methods inherited from class SEdit.Graphics.GJavaComponent
`getComponent, getJavaComponentClass, setCenter, setJavaComponentClass, translate`

Methods inherited from class SEdit.Graphics.GNode
`contains, displayHandles, doReSelect, getResizable, getSelectedHandle, intersection, isContainedIn, setResizable`

Methods inherited from class SEdit.Graphics.GObject
`alignHorizontalTo, alignVerticalTo, displayName, drag, getBounds, getCenter, getDimension, getDisplayLabel, getEditor, getForeground, getHeight, getLabelLocation, getLocation, getRectangle, getSElement, getWidth, intersection, isContainedIn, isSelectable, isSelected, reInstall, setCenter, setDimension, setDisplayLabel, setEditor, setForeground, setHeight, setLabelLocation, setLocation, setLocation, setSElement, setSize, setWidth, snapToGrid, translateBound, translateWrap`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GInternalFrame

    public GInternalFrame()

### GInternalFrame

    public GInternalFrame(java.lang.String title)

Method Detail

### paint

    public void paint(java.awt.Graphics g)

  Overrides:
    `paint` in class `GJavaComponent`

### select

    public void select(boolean state)

  Overrides:
    `select` in class `GNode`

### delete

    public void delete()

  Overrides:
    `delete` in class `GJavaComponent`

### init

    public void init()

  Description copied from class: `GJavaComponent`
  Creates the JavaComponent from the JavaComponentClass

  Overrides:
    `init` in class `GJavaComponent`

### doDrag

    public void doDrag(int dx,
                       int dy)

  Overrides:
    `doDrag` in class `GJavaComponent`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © Madkit Team (O. Gutknecht, J. Ferber, F. Michel et al.) All Rights Reserved.